

<p align="center">
    <br>
    <img src="src\aug-tool\logo2.png"/>
    <br>
<p>
Aug-tool is a Python library for data augmentation in machine learning projects. Easily enhance your dataset size by augmenting images and annotation files with customizable transformations. Aug-tool supports popular frameworks like TensorFlow and PyTorch, and seamlessly integrates into your workflow. Boost your model's performance with aug-tool!

[![PyPI](https://img.shields.io/badge/aug--tool-v0.0.1-blue)](https://pypi.org/project/aug-tool/)
[![Supported Python Versions](https://img.shields.io/badge/python%20-3-blue)](https://pypi.python.org/pypi/Augmentor)
[![License](https://img.shields.io/badge/license-MIT-brightgreen.svg?style=flat)](LICENSE)

# Installation


```python
pip install aug-tool
```


To install "aug-tool", you can use pip, the Python package manager. Open a terminal or command prompt and run the following command:

```python
pip install aug-tool
```
This will download and install the "aug-tool" library and its dependencies to your Python environment.

Alternatively, you can also install "aug-tool" from a source code repository. Here are the steps:

1.  Clone the "aug-tool" repository from GitHub:
```python
git clone https://github.com/hakanaktas1/aug-tool.git
```

2. Navigate to the cloned directory:

```python
cd aug-tool
```
3. Install the library using pip:
```python
pip install .
```
# Features

* Supports various image  augmentation techniques suitable for real environment conditions, such as adding noise, scaling, shifting, and more.
* Provides convenient integration with popular machine learning libraries such as **TensorFlow**, **Keras**, **PyTorch**, etc.
* Allows augmentation of both images and their annotation files in formats such as XML, or TXT. (json will be added soon)
* Customizable augmentation parameters, including rotation angle, scaling factor, flipping direction, and more.

* Supports augmentation of multiple images and annotation files in batch mode.
